{
 "cells": [
  {
   "cell_type": "code",
   "execution_count": 23,
   "id": "dd4643e9-5b2f-4227-8f2c-de0c397750c2",
   "metadata": {},
   "outputs": [
    {
     "name": "stdout",
     "output_type": "stream",
     "text": [
      "{'1. MeWi 1': 'Facebook Data',\n",
      " '2. MeWi 2': 'Uber Trips',\n",
      " '3. MeWi 3': 'Discovery of Handwashing',\n",
      " '4. MeWi 4': 'Uber Trips',\n",
      " '5. MeWi 5': 'Covid-19',\n",
      " '6. MeWi 6': 'Extramarital Affairs',\n",
      " '7. DiKum': 'Hochschulstatistik'}\n"
     ]
    }
   ],
   "source": [
    "import numpy as np\n",
    "from pprint import pprint\n",
    "\n",
    "# Setup\n",
    "rng = np.random.default_rng()\n",
    "projects = [\"Discovery of Handwashing\", \"Facebook Data\", \"Covid-19\", \"Hochschulstatistik\", \"Uber Trips\", \"Extramarital Affairs\"]\n",
    "groups = [f\"{n}. MeWi {n}\" for n in range(1,7)]\n",
    "groups.append(\"7. DiKum\")\n",
    "\n",
    "# Shuffle\n",
    "rng_index = np.random.randint(len(projects))\n",
    "projects.append(projects[rng_index])\n",
    "rng.shuffle(projects)\n",
    "rng.shuffle(groups)\n",
    "\n",
    "# Pretty Print\n",
    "data = {group: project for group, project in zip(groups, projects)}\n",
    "pprint(data)"
   ]
  }
 ],
 "metadata": {
  "kernelspec": {
   "display_name": "Python 3 (ipykernel)",
   "language": "python",
   "name": "python3"
  },
  "language_info": {
   "codemirror_mode": {
    "name": "ipython",
    "version": 3
   },
   "file_extension": ".py",
   "mimetype": "text/x-python",
   "name": "python",
   "nbconvert_exporter": "python",
   "pygments_lexer": "ipython3",
   "version": "3.12.8"
  }
 },
 "nbformat": 4,
 "nbformat_minor": 5
}
